dofile(ModPath .. "automenubuilder.lua")

CirclCrosshair = CirclCrosshair or {
	settings = {
		crosshair_colour = 1,
		size = 50
	},
    values = {
        crosshair_colour = { "blue", "green", "yellow", "red"},
		size = {1, 100, 1}
    },
	order = {
		crosshair_colour = 2,
		size = 1
	}
}

AutoMenuBuilder:load_settings(CirclCrosshair.settings, "circl_crosshair")
Hooks:Add("MenuManagerBuildCustomMenus", "MenuManagerBuildCustomMenusCirclCrosshair", function(menu_manager, nodes)
	AutoMenuBuilder:create_menu_from_table(nodes, CirclCrosshair.settings, "circl_crosshair", "blt_options", CirclCrosshair.values, CirclCrosshair.order)
end)

CirclCrosshair_Options = {blue_crosshair_colour, green_crosshair_colour, yellow_crosshair_colour, red_crosshair_colour}
locationbase = "units/pd2_dlc1/weapons/wpn_effects_textures/"
CirclCrosshair_Options[1] = locationbase.."wpn_sight_reticle_5_blue_il"
CirclCrosshair_Options[2] = locationbase.."wpn_sight_reticle_5_green_il"
CirclCrosshair_Options[3] = locationbase.."wpn_sight_reticle_5_yellow_il"
CirclCrosshair_Options[4] = locationbase.."wpn_sight_reticle_5_il"
blue_crosshair = CirclCrosshair_Options[1]
green_crosshair = CirclCrosshair_Options[2]
yellow_crosshair = CirclCrosshair_Options[3]
red_crosshair = CirclCrosshair_Options[4]

if CirclCrosshair.settings.crosshair_colour == 1 then
	crosshair_colour_type = blue_crosshair
elseif CirclCrosshair.settings.crosshair_colour == 2 then
	crosshair_colour_type = green_crosshair
elseif CirclCrosshair.settings.crosshair_colour == 3 then
	crosshair_colour_type = yellow_crosshair
elseif CirclCrosshair.settings.crosshair_colour == 4 then
	crosshair_colour_type = red_crosshair
end

Hooks:PostHook(HUDManager, "_setup_player_info_hud_pd2","hud_circl_crosshair", function(self)
	local hud_panel = Overlay:newgui():create_screen_workspace():panel()
	local hud_script = managers.hud:script(PlayerBase.PLAYER_INFO_HUD_PD2)
	local hud = managers.hud:script(PlayerBase.PLAYER_INFO_HUD_FULLSCREEN_PD2)
	local in_panel = hud_script and hud_script.panel
	if alive(in_panel) then
	hit_confirm = hud_panel:bitmap( { 
		valign="center", 
		halign="center", 
		visible = true, 
		texture = crosshair_colour_type, 
		w = CirclCrosshair.settings.size, 
		h = CirclCrosshair.settings.size, 
		color = Color.white, 
		layer = -1, 
		blend_mode="add" 
	} )
	end
	hit_confirm:set_center( hud_panel:w()/2, hud_panel:h()/2 )
	local player = managers.player:local_player() or false
end)

local mpath=ModPath
Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_ltyrchinfix", function(loc)
	local lang, path=SystemInfo and SystemInfo:language(), "loc/english.txt"
		if lang==Idstring("schinese") then
			path="loc/schinese.txt"
		end
	loc:load_localization_file(mpath..path)
end)